#include <M5Stack.h>

void setup() {
  // M5Stackを初期化します
  M5.begin();

  M5.Lcd.clear();
  M5.Lcd.fillScreen(BLACK);
  M5.Lcd.setCursor(0, 0);
  M5.Lcd.setTextColor(WHITE);

  // microSDから読み込むフォントファイル名を指定します。（拡張子は含めないこと）
  String ipaexg16 = "ipaex-gothic-16pt";
  String ipaexg20 = "ipaex-gothic-20pt";
  String ipaexg24 = "ipaex-gothic-24pt";
  String ipaexg28 = "ipaex-gothic-28pt";
  String ipaexg32 = "ipaex-gothic-32pt";

  // 16ptフォントを読み込みます
  M5.Lcd.loadFont(ipaexg16, SD);
  // M5Stackに文字を表示します。
  M5.Lcd.println("こんにちは、令和 16pt");
  //フォントをアンロードします
  M5.Lcd.unloadFont();

  // 20ptフォントを読み込みます
  M5.Lcd.loadFont(ipaexg20, SD);
  // M5Stackに文字を表示します。
  M5.Lcd.println("こんにちは、令和 20pt");
  //フォントをアンロードします
  M5.Lcd.unloadFont();

  // 24ptフォントを読み込みます
  M5.Lcd.loadFont(ipaexg24, SD);
  // M5Stackに文字を表示します。
  M5.Lcd.println("こんにちは、令和 24pt");
  //フォントをアンロードします
  M5.Lcd.unloadFont();

  // 28ptフォントを読み込みます
  M5.Lcd.loadFont(ipaexg28, SD);
  // M5Stackに文字を表示します。
  M5.Lcd.println("こんにちは、令和 28pt");
  //フォントをアンロードします
  M5.Lcd.unloadFont();

  // 32ptフォントを読み込みます
  M5.Lcd.loadFont(ipaexg32, SD);
  // M5Stackに文字を表示します。
  M5.Lcd.println("こんにちは、令和 32pt");
  //フォントをアンロードします
  M5.Lcd.unloadFont();
}

void loop() {}
