#include <M5Stack.h>

void setup() {
  M5.begin();
  // M5Stackに表示する文字の大きさを指定します
  M5.Lcd.setTextSize(4);
}

void loop() {
  // M5Stackのボタン操作の状況を読み込みます
  M5.update();
  //カーソル位置をx=0 y=0で初期化します。
  M5.Lcd.setCursor(0, 0);

  //ボタンA（左のボタン）が押されたとき
  if (M5.BtnA.wasReleased()) {
    //液晶を赤色にします
    M5.Lcd.fillScreen(RED);
    //液晶に"red"という文字を表示します
    M5.Lcd.print("red");
    //ボタンB（中央のボタン）が押されたとき
  } else if (M5.BtnB.wasReleased()) {
    //液晶を緑色にします
    M5.Lcd.fillScreen(GREEN);
    //"green"という文字を表示します
    M5.Lcd.print("green");
    //ボタンC（中央のボタン）が押されたとき
  } else if (M5.BtnC.wasReleased()) {
    //液晶を青色にします
    M5.Lcd.fillScreen(BLUE);
    //"blue"という文字を表示します
    M5.Lcd.print("blue");
    //ボタンB（中央のボタン）が長押し（1000ミリ秒）されたとき
  } else if (M5.BtnB.wasReleasefor(1000)) {
    //液晶の表示内容をクリアします
    M5.Lcd.clear();
  }
}
